package com.antai.sport.http.server.server.api.business.achievement.mapper;

import com.antai.sport.http.server.repository.achievement.entity.Achievement;
import com.antai.sport.http.server.server.api.business.achievement.dto.UserAchievementVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AchievementBizMapper {
    List<Achievement> getAchievement(@Param("achievementCondition") Integer achievementCondition,
                                           @Param("sportUserId") Long sportUserId);

    List<UserAchievementVO> getNewAchievement(@Param("sportUserId") Long sportUserId);

    int updateReadAchievement(@Param("list") List<UserAchievementVO> list);

}
